Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 204022 - passwd command is not localized
Summary: passwd command is not localized
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: passwd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Target
TreeView+ depends on / blocked
 
Reported: 2006-08-25 02:31 UTC by Pierre Sarrazin
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: passwd-0.74-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-12-12 22:02:47 UTC


Attachments (Terms of Use)

Description Pierre Sarrazin 2006-08-25 02:31:19 UTC
Description of problem:
The passwd command always displays in English, regardless of the LANG
environment variable.

Version-Release number of selected component (if applicable):
passwd-0.71-3.2

How reproducible:
Always.

Steps to Reproduce:

$ echo $LANG
en_US
$ echo $LC_ALL

$ /bin/ls x
/bin/ls: x: No such file or directory
$ LANG=fr_CA /bin/ls x
/bin/ls: x: Aucun fichier ou répertoire de ce type
$ /usr/bin/passwd
Changing password for user ps.
Changing password for ps
(current) UNIX password:
passwd: Authentication token manipulation error
$ LANG=fr_CA /usr/bin/passwd
Changing password for user ps.
Changing password for ps
(current) UNIX password:
passwd: Authentication token manipulation error


Expected results:
French strings for the passwd command, as with ls.

Comment 1 Akira TAGOH 2006-08-25 10:43:43 UTC
reassigning to correct component.

Comment 2 Tomas Mraz 2006-08-25 10:50:41 UTC
Passwd is not localized yet.



Note You need to log in before you can comment on or make changes to this bug.